# Fill

Fill : `OverlayBase`

## Overview

An instance that overlays a color across the entire surface of a BasePart.

Unlike Outline, the DepthMode property allows you to control whether the fill is visible even when blocked by other objects.

## Properties

### Color

`Color3`

The color to display.

#### Code Samples

### DepthMode

`Enum.FillDepthModeType`

Determines how the fill is rendered when blocked by other objects.

* `AlwaysOnTop`: Always displayed, even when blocked.
* `VisibleWhenNotOccluded`: Displayed only when the object is not blocked by other objects.
* `VisibleWhenOccluded`: Displayed only when the object is blocked by other objects.

#### Code Samples

```lua
local Fill = script.Parent

Fill.DepthMode = Enum.FillDepthModeType.VisibleWhenNotOccluded
```

### Transparency

`number`

The transparency of the color.

#### Code Samples

```lua
local Fill = script.Parent

Fill.Transparency = 0.5
```

## Methods

## Events

## See also


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/classes/fill.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
